%global enable_tests 1

Name:           nodejs-chai
Version:        1.7.2
Release:        1%{?dist}
Summary:        BDD/TDD assertion library for Node.js and the browser

License:        MIT
URL:            http://chaijs.com
Source0:        http://registry.npmjs.org/chai/-/chai-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated using Source10, which pulls from the upstream
# version control repository.
Source1:        chai-tests-%{version}.tar.bz2
Source10:       chai-dl-tests.sh
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(mocha)
BuildRequires:  npm(assertion-error)
%endif

%description
Chai is a BDD / TDD assertion library for node and the browser that
can be delightfully paired with any JavaScript testing framework.


%prep
%setup -q -n package
%setup -T -D -a 1 -q -n package
rm -rf node_modules


%build


%install
mkdir -p %{buildroot}/%{nodejs_sitelib}/chai
cp -r package.json index.js chai.js lib %{buildroot}/%{nodejs_sitelib}/chai
%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{nodejs_sitelib}/mocha/bin/mocha --require ./test/bootstrap --reporter dot --ui tdd test/*.js
%endif


%files
%doc README.md History.md ReleaseNotes.md
%{nodejs_sitelib}/chai


%changelog
* Sat Aug 17 2013 Tom Hughes <tom@compton.nu> - 1.7.2-1
- Initial build of 1.7.2
